# studio::KeyframeTree Class Reference

`#include <keyframetree.h>`

List of all members.

## Public Types

enum | ColumnID { COLUMNID_TIME, COLUMNID_DESCRIPTION, COLUMNID_JUMP, COLUMNID_END }

## Public Member Functions

| KeyframeTree ()
| ~KeyframeTree ()
void | set_model (Glib::RefPtr< KeyframeTreeStore > keyframe_tree_store_)
void | set_editable (bool x=true)
bool | get_editable () const
sigc::signal< void, synfig::Keyframe > & | signal_edited ()
| Signal called when a keyframe has been edited in any way.
sigc::signal< void, synfig::Keyframe, synfig::Time > & | signal_edited_time ()
| Signal called when a time has been edited.
sigc::signal< void, synfig::Keyframe, synfig::String > & | signal_edited_description ()
| Signal called when a description has been edited.
sigc::signal< void, int, Gtk::TreeRow, ColumnID > & | signal_user_click ()

## Public Attributes

KeyframeTreeStore::Model | model

## Member Enumeration Documentation

enum studio::KeyframeTree::ColumnID

Enumerator:

  COLUMNID_TIME |
  COLUMNID_DESCRIPTION |
  COLUMNID_JUMP |
  COLUMNID_END | For internal use only.

## Constructor & Destructor Documentation

KeyframeTree::KeyframeTree | ( |  | ) |

References _, COLUMNID_JUMP, studio::KeyframeTreeStore::Model::description, model, studio::CellRenderer_Time::property_time(), studio::CellRenderer_Time::signal_edited(), studio::KeyframeTreeStore::Model::time, and studio::KeyframeTreeStore::Model::time_delta.

KeyframeTree::~KeyframeTree | ( |  | ) |

## Member Function Documentation

void KeyframeTree::set_model | ( | Glib::RefPtr< KeyframeTreeStore > | keyframe_tree_store_ | ) |

References synfigapp::Action::create(), studio::KeyframeTreeStore::Model::description, studio::KeyframeTreeStore::description_sorter(), model, studio::CellRenderer_Time::property_fps(), studio::KeyframeTreeStore::Model::time, and studio::KeyframeTreeStore::time_sorter().

void KeyframeTree::set_editable | ( | bool | x = `true` | ) |

bool studio::KeyframeTree::get_editable | ( |  | ) | const`[inline]`

sigc::signal<void,synfig::Keyframe>& studio::KeyframeTree::signal_edited | ( |  | ) | `[inline]`

Signal called when a keyframe has been edited in any way.

sigc::signal<void,synfig::Keyframe,synfig::Time>& studio::KeyframeTree::signal_edited_time | ( |  | ) | `[inline]`

Signal called when a time has been edited.

sigc::signal<void,synfig::Keyframe,synfig::String>& studio::KeyframeTree::signal_edited_description | ( |  | ) | `[inline]`

Signal called when a description has been edited.

sigc::signal<void,int, Gtk::TreeRow, ColumnID>& studio::KeyframeTree::signal_user_click | ( |  | ) | `[inline]`

## Member Data Documentation

KeyframeTreeStore::Model studio::KeyframeTree::model

Referenced by KeyframeTree(), set_model(), and studio::CanvasView::show_keyframe_dialog().

The documentation for this class was generated from the following files:

- keyframetree.h
- keyframetree.cpp